Skip to main content
GET
/
approvals
/
{chain}
Token Approvals
curl --request GET \
  --url https://api.octav.fi/v1/approvals/{chain} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.octav.fi/v1/approvals/{chain}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.octav.fi/v1/approvals/{chain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cursor": "<string>",
  "pageSize": 123,
  "items": [
    {
      "block": "<string>",
      "timestamp": "<string>",
      "hash": "<string>",
      "contract": "<string>",
      "from": "<string>",
      "to": "<string>",
      "amount": "<string>",
      "asset": {
        "name": "<string>",
        "symbol": "<string>",
        "balance": "<string>",
        "price": "<string>",
        "value": "<string>",
        "decimal": "<string>",
        "chain": "<string>",
        "contract": "<string>",
        "imgSmall": "<string>",
        "imgLarge": "<string>"
      }
    }
  ]
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

Chain identifier

Available options:
arbitrum,
avalanche,
base,
binance,
ethereum,
fantom,
gnosis,
linea,
optimism,
polygon

Query Parameters

addresses
string
required

Wallet address to fetch approvals for

limit
integer
default:25

Results per page (1-100, default 25)

Required range: 1 <= x <= 100
cursor
string

Cursor string from a previous response to fetch the next page

Response

Successful response

cursor
string | null

Cursor for the next page. Null when there are no more results.

pageSize
integer

Number of items returned in this page

items
object[]

Array of token approval records